wxRuby Documentation Home

# Wx::LogStream

This class can be used to redirect the log messages to a C++ stream.

Please note that this class is only available if Widgets was compiled with
the standard iostream library support (`USE_STD_IOSTREAM` must be on).

## Derived from

Log

## See also

LogStderr,

StreamToTextRedirector

## Methods

- LogStream.new

### LogStream.new

LogStream.new(%(arg-type)std::ostream% ostr = nil)

Constructs a log target which sends all the log messages to the given
output stream. If it is `NULL`, the messages are sent to `cerr`.

[This page automatically generated from the Textile source at 2023-06-09 00:45:33 +0000]